//New Camera Glow

//Start loading the datablocks...

CameraEmitterA.uiName = "Camera Glow";

datablock ParticleData(CameraParticleA)
{
	textureName          = "base/data/particles/thinring";
	dragCoefficient      = 0.4;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.5;
	constantAcceleration = 0.5;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0 0.235 0.885 1";
	colors[1]     = "0 0 1 0.5";

	sizes[0]	= 0.55;
	sizes[1]        = 0.15;
	sizes[2]	= 0.1;
	sizes[4]	= 0;

	times[0]	= 0.5;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(CameraEmitterA)
{
   ejectionPeriodMS = 7.5;
   periodVarianceMS = 0;
   ejectionVelocity = 1;
   ejectionOffset   = 0.0;
   velocityVariance = 0.0;
   thetaMin         = 10;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Glow";
};

datablock ParticleData(PlayerTeleportParticleA)
{
	textureName          = "base/data/particles/thinring";
	dragCoefficient      = 0.4;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.5;
	constantAcceleration = 0.5;
	lifetimeMS           = 800;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0 0.235 0.885 1";
	colors[1]     = "0 0 1 0.5";

	sizes[0]	= 0.65;
	sizes[1]        = 0.25;

	times[0]	= 0.2;
	times[1]	= 0.8;
};

datablock ParticleEmitterData(PlayerTeleportEmitterA)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 4;
   ejectionOffset   = 0.0;
   velocityVariance = 0.0;
   thetaMin         = 10;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Player Teleport";
};

datablock ParticleData(PlayerTeleportParticleB)
{
	textureName          = "base/data/particles/thinring";
	dragCoefficient      = 0.4;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.5;
	constantAcceleration = 0.5;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0 0.235 0.885 1";
	colors[1]     = "0 0 1 0.5";

	sizes[0]	= 0.15;
	sizes[1]        = 0.15;

	times[0]	= 0.5;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(PlayerTeleportEmitterB)
{
   ejectionPeriodMS = 25;
   periodVarianceMS = 0;
   ejectionVelocity = 3;
   ejectionOffset   = 0.4;
   velocityVariance = 0.0;
   thetaMin         = 10;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Effect";
};