//New Camera Glow

//Start loading the datablocks...

CameraEmitterA.uiName = "Camera Glow";

datablock ParticleData(CameraParticleA)
{
	textureName          = "base/data/particles/dot";
	dragCoefficient      = 0.4;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.1;
	constantAcceleration = 0.1;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.75 0 0 1";
	colors[1]     = "1 0 0 0.5";
	colors[2]     = "1 0 0 0.1";


	sizes[0]	= 0.15;
	sizes[1]        = 0.15;
	sizes[2]        = 0.15;

	times[0]	= 0.5;
	times[1]	= 0.8;
	times[2]	= 1;
};

datablock ParticleEmitterData(CameraEmitterA)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 1;
   ejectionVelocity = 0;
   ejectionOffset   = 1;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 1080;
   phiVariance      = 720;
   overrideAdvance = false;  

	uiName = "Camera Glow";
};

datablock ParticleData(PlayerTeleportParticleA)
{
	textureName          = "base/data/particles/dot";
	dragCoefficient      = 0.2;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.5 0 0 1";
	colors[1]     = "1 0 0 0.5";

	sizes[0]	= 0.25;
	sizes[1]        = 0.25;

	times[0]	= 0.2;
	times[1]	= 1;
};

datablock ParticleEmitterData(PlayerTeleportEmitterA)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   ejectionOffset   = 1.25;
   velocityVariance = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 720;
   phiVariance      = 720;
   overrideAdvance = false;  

	uiName = "Player Teleport";
};

datablock ParticleData(PlayerTeleportParticleB)
{
	textureName          = "base/data/particles/dot";
	dragCoefficient      = 0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.1;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.75 0 0 1";
	colors[1]     = "1 0 0 0.5";

	sizes[0]	= 0.25;
	sizes[1]        = 0.25;

	times[0]	= 0.5;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(PlayerTeleportEmitterB)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   ejectionOffset   = 1.4;
   velocityVariance = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Effect";
};