//New Camera Glow

//Start loading the datablocks...

CameraEmitterA.uiName = "Camera Glow";

datablock ParticleData(CameraParticleA)
{
	textureName          = "base/data/particles/ring";
	dragCoefficient      = 0;
	gravityCoefficient   = 0.25;
	inheritedVelFactor   = 1.2;
	windCoefficient      = 0.1;
	constantAcceleration = 0.1;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 0;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "1 0 0 0.7";
	colors[1]     = "0 1 0 0.7";


	sizes[0]	= 0.25;
	sizes[1]        = 0.25;

	times[0]	= 0.2;
	times[1]	= 0.4;
};

datablock ParticleEmitterData(CameraEmitterA)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 1;
   ejectionVelocity = 1;
   ejectionOffset   = 1;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 1260;
   phiVariance      = 810;
   overrideAdvance = false;  

	uiName = "Camera Glow";
};

datablock ParticleData(PlayerTeleportParticleA)
{
	textureName          = "base/data/particles/ring";
	dragCoefficient      = 0.2;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "1 0 0 0.8";
	colors[1]     = "1 0 0 0.7";
	colors[2]     = "0 1 0 0.6";
	colors[3]     = "0 1 0 0.5";

	sizes[0]	= 0.25;
	sizes[1]        = 0.25;
	sizes[2]	= 0.25;
	sizes[3]	= 0.25;

	times[0]	= 0.2;
	times[1]	= 0.4;
	times[2]	= 0.6;
	times[3]	= 1.0;
};

datablock ParticleEmitterData(PlayerTeleportEmitterA)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   ejectionOffset   = 1.25;
   velocityVariance = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 1080;
   phiVariance      = 720;
   overrideAdvance = false;  

	uiName = "Player Teleport";
};

datablock ParticleData(PlayerTeleportParticleB)
{
	textureName          = "base/data/particles/thinring";
	dragCoefficient      = 0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.1;
	lifetimeMS           = 900;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "1 0 0 0.8";
	colors[1]     = "0.65 0.35 0 0.6";
	colors[2]     = "0.35 0.65 0 0.4";
	colors[3]     = "0 1 0 0.2";

	sizes[0]	= 0.25;
	sizes[1]        = 0.25;
	sizes[2]	= 0.25;
	sizes[3]	= 0.25;

	times[0]	= 0.1;
	times[1]	= 0.3;
	times[2]	= 0.6;
	times[3]	= 0.9;
};

datablock ParticleEmitterData(PlayerTeleportEmitterB)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   ejectionOffset   = 1.4;
   velocityVariance = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Effect";
};