//New Camera Glow

//Start loading the datablocks...

CameraEmitterA.uiName = "Camera Glow";

datablock ParticleData(CameraParticleA)
{
	textureName          = "base/data/particles/dot";
	dragCoefficient      = 1.5;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.0;
	constantAcceleration = 0.05;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0 1 1 1";
	colors[1]     = "0.05 1 1 0.5";
	colors[2]     = "0.1 1 1 0.1";
	colors[3]     = "0.1 1 1 0.05";


	sizes[0]	= 0.01;
	sizes[1]        = 0.1;
	sizes[2]        = 0.05;
	sizes[3]	= 0.01;

	times[0]	= 0;
	times[1]	= 0.5;
	times[2]	= 0.98;
	times[3]	= 1;
};

datablock ParticleEmitterData(CameraEmitterA)
{
   ejectionPeriodMS = 2.5;
   periodVarianceMS = 1;
   ejectionVelocity = -0.75;
   ejectionOffset   = 1.0;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 1080;
   phiVariance      = 720;
   overrideAdvance = false;  

	uiName = "Camera Glow";
};

datablock ParticleData(PlayerTeleportParticleA)
{
	textureName          = "base/data/particles/dot";
	dragCoefficient      = 1;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.0;
	constantAcceleration = 0.1;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0 1 1 1";
	colors[1]     = "0.05 1 1 0.5";
	colors[2]     = "0.1 1 1 0.1";
	colors[3]     = "0.1 1 1 0";

	sizes[0]	= 0.05;
	sizes[1]        = 0.2;
	sizes[2]	= 0.05;
	sizes[3]	= 0.05;

	times[0]	= 0;
	times[1]	= 0.5;
	times[2]	= 0.98;
	times[3]	= 1;
};

datablock ParticleEmitterData(PlayerTeleportEmitterA)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = -0.5;
   ejectionOffset   = 1;
   velocityVariance = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 720;
   phiVariance      = 720;
   overrideAdvance = false;  

	uiName = "Player Teleport";
};

datablock ParticleData(PlayerTeleportParticleB)
{
	textureName          = "base/data/particles/dot";
	dragCoefficient      = 1;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0.0;
	constantAcceleration = 0;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0 1 1 1";
	colors[1]     = "0.05 1 1 0.5";
	colors[2]     = "0.1 1 1 0.1";
	colors[3]     = "0.1 1 1 0";

	sizes[0]	= 0.05;
	sizes[1]        = 0.2;
	sizes[2]	= 0.05;
	sizes[3]	= 0.05;

	times[0]	= 0;
	times[1]	= 0.5;
	times[2]	= 1;
	times[3]	= 0.98;
};

datablock ParticleEmitterData(PlayerTeleportEmitterB)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = -0.5;
   ejectionOffset   = 1;
   velocityVariance = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Effect";
};