//New Camera Glow

//Start loading the datablocks...

CameraEmitterA.uiName = "Camera Glow";

datablock ParticleData(CameraParticleA)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.4;
	gravityCoefficient   = -0.15;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 1;
	constantAcceleration = 0.5;
	lifetimeMS           = 1500;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.8 0.8 0.8 1";
	colors[1]     = "1 1 1 0.5";


	sizes[0]	= 0.2;
	sizes[1]        = 0.01;

	times[0]	= 0.5;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(CameraEmitterA)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 2;
   ejectionVelocity = 0;
   ejectionOffset   = 1.5;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 1440;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Glow";
};

datablock ParticleData(PlayerTeleportParticleA)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.4;
	gravityCoefficient   = -0.15;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.5;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.5 0.5 0.5 1";
	colors[1]     = "1 1 1 0.5";

	sizes[0]	= 1;
	sizes[1]        = 0.2;

	times[0]	= 0.2;
	times[1]	= 1;
};

datablock ParticleEmitterData(PlayerTeleportEmitterA)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   ejectionOffset   = 1;
   velocityVariance = 0.0;
   thetaMin         = 88;
   thetaMax         = 92;
   phiReferenceVel  = 0;
   phiVariance      = 720;
   overrideAdvance = false;  

	uiName = "Player Teleport";
};

datablock ParticleData(PlayerTeleportParticleB)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = -1;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.5;
	lifetimeMS           = 1500;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.8 0.8 0.8 1";
	colors[1]     = "1 1 1 0.5";

	sizes[0]	= 0.15;
	sizes[1]        = 0.02;

	times[0]	= 0.5;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(PlayerTeleportEmitterB)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   ejectionOffset   = 3;
   velocityVariance = 0.0;
   thetaMin         = 88;
   thetaMax         = 92;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;  

	uiName = "Camera Effect";
};